Skip to main content
`Ctrl`+`K`

# numpy.char.count

char.count(a, sub, start=0, end=None)

  Returns an array with the number of non-overlapping occurrences of substring `sub` in the range [`start`, `end`).

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype
    sub array-like, with `StringDType`, `bytes_`, or `str_` dtype

      The substring to search for.

    start, end array_like, with any integer dtype

      The range to look in, interpreted as in slice notation.

  Returns:
    y ndarray

      Output array of ints

  See also

  `str.count`

  Examples

      >>> import numpy as np
      >>> c = np.array(['aAaAaA', '  aA  ', 'abBABba'])
      >>> c
      array(['aAaAaA', '  aA  ', 'abBABba'], dtype='<U7')
      >>> np.strings.count(c, 'A')
      array([3, 1, 1])
      >>> np.strings.count(c, 'aA')
      array([3, 1, 0])
      >>> np.strings.count(c, 'A', start=1, end=4)
      array([2, 1, 1])
      >>> np.strings.count(c, 'A', start=1, end=3)
      array([1, 0, 0])